Ubuntu

indicator power displayed twice on panel

Reported by Jean-Baptiste Lallement on 2011-08-24
584
This bug affects 118 people
Affects Status Importance Assigned to Milestone
unity-2d
Undecided
Unassigned
gnome-settings-daemon (Ubuntu)
Medium
Rodrigo Moya
Oneiric
Medium
Rodrigo Moya

Bug Description

After latest updates, indicator power is displayed 3 times on panel (screenshot enclosed) Only the right one works (clicking on the others does nothing)

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: indicator-power 0.7-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-9.14-generic 3.0.3
Uname: Linux 3.0.0-9-generic i686
Architecture: i386
Date: Wed Aug 24 23:52:26 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110209)
ProcEnviron:
 PATH=(custom, user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: indicator-power
UpgradeStatus: No upgrade log present (probably fresh install)

Jean-Baptiste Lallement (jibel) wrote :
Javier Jardón (jjardon) wrote :

Hello Jean, thanks for your bug report.

I cant reproduce here. Are you sure you do not have installed another power indicators?

Changed in indicator-power (Ubuntu):
status: New → Incomplete
Jean-Baptiste Lallement (jibel) wrote :

Here are all the packages installed on this system with "indicator" in the name
evolution-indicator
gir1.2-appindicator-0.1
gir1.2-appindicator3-0.1
indicator-application
indicator-appmenu
indicator-datetime
indicator-me-gtk2
indicator-messages
indicator-multiload
indicator-power
indicator-session
indicator-session-gtk2
indicator-sound
indicator-sound-gtk2
indicator-status-provider-mc5
indicator-weather
libappindicator1
libappindicator3-1
libindicator-messages-status-provider1
libindicator3-6
libindicator6
python-appindicator

And also the output of xwinfo with this part of the panel
xwininfo: Window id: 0x3400002 "unity-2d-panel"

  Root window id: 0xab (the root window) (has no name)
  Parent window id: 0xab (the root window) (has no name)
     4 children:
     0x3400177 (has no name): () 1x1+-1+-1 +-1+-1
     0x3400125 (has no name): () 24x24+638+0 +638+0
        1 child:
        0x480006a "shutter": ("shutter" "Shutter") 24x24+0+0 +638+0
           1 child:
           0x480006b (has no name): () 1x1+-1+-1 +637+-1
     0x340006e (has no name): () 24x24+606+0 +606+0
        1 child:
        0xc00015 "Power Manager": ("gnome-power-manager" "gnome-power-manager") 24x24+0+0 +606+0
           1 child:
           0xc00016 (has no name): () 1x1+-1+-1 +605+-1
     0x340002c (has no name): () 24x24+574+0 +574+0
        1 child:
        0x1600050 "Power Manager": ("gnome-power-manager" "gnome-power-manager") 24x24+0+0 +574+0
           1 child:
           0x1600051 (has no name): () 1x1+-1+-1 +573+-1

So it looks like gnome-power-manager applets.

Changed in indicator-power (Ubuntu):
status: Incomplete → Confirmed
Javier Jardón (jjardon) wrote :

Ok, so the problem is that you have the gnome-power-manager applet installed. You should remove it as It was removed upstream and replaced with the new indicator-power

Changed in indicator-power (Ubuntu):
status: Confirmed → Invalid
Jean-Baptiste Lallement (jibel) wrote :

I disagree with the status 'Invalid'
This system has been upgraded from Natty and if some deprecated package must be removed on upgrade it should be handled by the upgrade process.

Anyway, gnome-power-manager cannot be removed since it is a dependency of indicator-power.

Changed in indicator-power (Ubuntu):
status: Invalid → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-power - 0.7-0ubuntu2

---------------
indicator-power (0.7-0ubuntu2) oneiric; urgency=low

  * debian/control
    - depend on gnome-settings-daemon instead of
      gnome-power-manager (LP: #833397)
 -- Ken VanDine <email address hidden> Thu, 25 Aug 2011 09:13:55 -0400

Changed in indicator-power (Ubuntu):
status: Confirmed → Fix Released
florin (florin-arjocu) wrote :

Upgraded and now I only see the 2 battery indicators that are not supposed to be there. The normal one is gone. When I say normal one I mean the one that is after the sound icon and has user interaction, because the extra 2 don't do anything on click.

Jean-Baptiste Lallement (jibel) wrote :

After latest updates, there are now 2 icons, indicator-power and another.
I'm adding a task for ubuntu-meta because gnome-power-manager cannot be fully removed since it is a depedency of ubuntu-desktop.

Changed in ubuntu-meta (Ubuntu):
importance: Undecided → Medium
milestone: none → ubuntu-11.10-beta-1
status: New → Triaged

same here, 2 icons:

the first is the big one, the real power indicator (clickable menu);
the second is a smaller one replica. It doesn't open any menu but mouseovering it shows the battery life tooltip.

Changed in ubuntu-meta (Ubuntu Oneiric):
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
Changed in indicator-power (Ubuntu Oneiric):
status: Fix Released → In Progress
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
summary: - indicator power displayed 3 times on panel
+ indicator power displayed twice on panel
Martin Pitt (pitti) wrote :

I updated the seeds to remove gnome-power-manager, as the functionality moved into gnome-settings-daemon. However, it is just an unnecessary dependency at this point, and otherwise harmless. The package only contains /usr/sbin/gnome-power-backlight-helper (which is unused now), and /usr/bin/gnome-power-statistics (which we don't strictly need). Also, the indicator patch was dropped.

Thus the existence of gnome-power-manager can't be responsible for showing two power indicators. Therefore I set the ubuntu-meta task as fix committed, as unseeding it is as much as we can do for dropping it from a clean installation. For cleaning up on upgrade we'd need to add a Conflicts: somewhere, we can't do that in ubuntu-meta. But the package is rather harmless, and once it moves to universe, update-manager will propose to clean it up anyway.

Changed in ubuntu-meta (Ubuntu Oneiric):
assignee: Canonical Desktop Experience Team (canonical-dx-team) → Martin Pitt (pitti)
importance: Medium → Low
milestone: ubuntu-11.10-beta-1 → ubuntu-11.10-beta-2
status: Triaged → Fix Committed
Gareth Williams (gareththered) wrote :

I have removed indicator-power and gnome-power-manager and still have one icon displayed. This, as poster #9 says, doesn't do anything on mouse click but displays battery status on hovering over it. This, by the way, was on a clean Oneiric install on VirtualBox and not an upgrade from 11.04.

Gareth Williams (gareththered) wrote :

I've noticed that this is generated by gnome-settings-daemon (not gnome-power-manager) as it disappears when I kill that process and reappears when I start it again. The daemon I'm running is version 3.1.5-0ubuntu6.

Martin Pitt (pitti) wrote :

Can you please give the output of "gsettings list-recursively|grep settings-daemon"?

I don't have that here, nor in a guest session. Can you reproduce in a guest session?

affects: indicator-power (Ubuntu Oneiric) → gnome-settings-daemon (Ubuntu Oneiric)
Changed in gnome-settings-daemon (Ubuntu Oneiric):
assignee: Canonical Desktop Experience Team (canonical-dx-team) → Canonical Desktop Team (canonical-desktop-team)
status: In Progress → Incomplete

here it is.

guest session shows 2 battery indicators too.

Chris Coulson (chrisccoulson) wrote :

Did anyone change the value of systray-whitelist in com.canonical.Unity.Panel using dconf-editor?

nothing changed with dconf-editor. bug 837153 reports that the issue exists on a live session with latest iso.

Steve Langasek (vorlon) wrote :

Removing gnome-power-manager doesn't fix this for me.

systray-whitelist has not been edited here.

Ted Gould (ted) wrote :

I do get this, but only unity-2d not 3d. One of the items is in the systray, one is an indicator. I believe that gsd is detecting a fallback and putting the item in the systray. I believe this is an issue with unity-2d.

  • 11.png Edit (40.4 KiB, image/png; name="11.png")

with latest unity(3d) after enabling the whitelist for systray I am
able to reproduce this issue still. (dont mind the location that would
be another bugs)

Changed in unity-2d:
milestone: none → 4.6
Martin Pitt (pitti) wrote :

I re-seeded gnome-power-manager. We still use gnome-power-statistics from the indicator.

Changed in ubuntu-meta (Ubuntu Oneiric):
assignee: Martin Pitt (pitti) → nobody
milestone: ubuntu-11.10-beta-2 → none
status: Fix Committed → Invalid
Changed in unity-2d (Ubuntu):
status: New → Confirmed
Changed in unity-2d:
status: New → Invalid
status: Invalid → New
Changed in unity-2d:
status: New → Invalid
Changed in unity-2d (Ubuntu Oneiric):
status: Confirmed → Invalid

Seeing the two battery indicators again after fully updating (9/8, 18:34 UTC). It may be related to the systray, or may be the second indicator is hiding the systray, I have everything whitelisted but I cannot see any of the old indicators.

Seeing the two battery indicators again after fully updating (September 8, 18:30 UTC). It may be related to the systray, or may be the second indicator is hiding the systray, I have everything whitelisted.

Martin Pitt (pitti) wrote :

Jean-Baptiste, can you still reproduce the problem? Is the second one coming from gnome-settings-daemon? Does it disappear if you do

  sudo chmod 0 /usr/lib/gnome-settings-daemon-3.0/*power*

and restart the session? To revert, please do

  sudo chmod 644 /usr/lib/gnome-settings-daemon-3.0/*power*

Changed in gnome-settings-daemon (Ubuntu Oneiric):
assignee: Canonical Desktop Team (canonical-desktop-team) → Martin Pitt (pitti)

I did as suggested by Martin in #24, and now both the normal and double indicator dissappear, and a black rectangle appears in the systray place. I attach a screenshot.

Martin Pitt (pitti) wrote :

OK, thanks. That seems to confirm that it's only the g-s-d power plugin, no other program involved. Thanks!

Still unreproducible on both my machines, though.

I still have this issue on 11.10 updated on September 17. It is my impression that the second and wrong battery indicator appears in the "systray". It is not clickable but hovering over wiht the mouse shows what it should show ("Laptop battery is charged", for instance). As I said before I have "all" old indicators enabled.

In general the systray is not working as it should, or as it worked in Natty. For instance the icon that appears when upgrading/updating sometimes comes up huge and it goes out of the top panel. The second and wrong battery also lies in the bottom of the panel and is half visible, I will attach a screenshot.

This is the screen shot on how the second battery indicator looks when entering the desktop. After working for a while it gets centered in the panel, I cannot explain when and how.

And this is the one with the "upgrade/update" icon, huge and going out of the panel. Actually the battery now is also outside and can't be seen entirely, before this second icon appearing is was shown only cut in the bottom part of the panel, see the first screenshot.

Changed in gnome-settings-daemon (Ubuntu Oneiric):
status: Incomplete → Confirmed

Further on the second battery in the systray, if I blacklist all old indicators with:
gsettings set com.canonical.Unity.Panel systray-whitelist "['']"

and I restart the desktop the second battery indicator is gone.

Sam_ (and-sam) wrote :

Reproducable fixed the issue on unity-3d via dconf-editor setting systray whitelist to default, logout-in. Second and third indicator-power disappeared.
Setting systray whitelist to 'all' displayed two power indicators after suspend and reboot.
With enabled 'all' and starting another app, e.g. Osmo, displays three power indicators which were moving to the right and overlayed weather-indicator when Osmo was closed and reopened.
FWIW attached screenshots and summary terminal output, which reveals there is no indicator-power process.

Sam_ (and-sam) wrote :
Sam_ (and-sam) wrote :

FWIW, there is only one battery in my laptop. Bug #852406

Changed in gnome-settings-daemon (Ubuntu Oneiric):
importance: Undecided → Medium
Laudeci Oliveira (laudeci) wrote :

if you run gsettings set org.gnome.settings-daemon.plugins.power Active false , only one icon remains, but no icon is showed in the next login.

Sam_ (and-sam) wrote :

Beside there're two indicator-power in dconf, com.canonical.indicator and org.ubuntu.

Jake (jmiheve) wrote :

I am seeing this as well, with the same "off the panel" issue shown in walter-garcia's screenshot.

Jake (jmiheve) wrote :

Also, I am running Unity 3d.

I still have this issue with the update to unity 4.20.0

The second battery indicator, the one in the systray, goes away if the package indicator-power is removed:

sudo apt-get remove indicator-power

Sorry, please ignoe #40, removing indicator-power actually removes the normal app-indicator, not the indicator appearing in the systray.

florin (florin-arjocu) wrote :

Just a thought: I had another problem with power-indicator, this bug I reported last week after an update: https://bugs.launchpad.net/ubuntu/+source/indicator-power/+bug/859294

The solution for me was actually to have a fresh install as I guess the repeated update&dist-upgrade messed things up. After the fresh install (daily built live cd from 30 sept 2011) this bug was gone, without any explanation.

A workaround for the double battery is to whitelist only the neded indicators in the systray, and not "all". Increasingly the indicators in systray are getting their app-indicators (for instance update-manager has now an app-indicator) so in my case I only had to whitelist "skype" and "empathy" in the systray. With

gsettings set com.canonical.Unity.Panel systray-whitelist "['all']"

is when the double battery can be seen in the systray.

Michał Sawicz (saviq) wrote :

Dnia 2011-10-10, pon o godzinie 05:30 +0000, Walter Garcia-Fontes pisze:
> so in my case I only had to whitelist "skype"
> and "empathy" in the systray

Re: skype - read last paragraph in Aurélien's blog post [1].

[1] http://agateau.wordpress.com/2011/09/23/make-skype-a-bit-less-shy/

Steve Langasek (vorlon) wrote :

On Mon, Oct 10, 2011 at 05:30:41AM -0000, Walter Garcia-Fontes wrote:
> A workaround for the double battery is to whitelist only the neded
> indicators in the systray, and not "all". Increasingly the indicators in
> systray are getting their app-indicators (for instance update-manager
> has now an app-indicator) so in my case I only had to whitelist "skype"
> and "empathy" in the systray. With

> gsettings set com.canonical.Unity.Panel systray-whitelist "['all']"

> is when the double battery can be seen in the systray.

You also don't have to whitelist skype, provided you have the sni-qt:i386
package installed.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Thanks Michal and Steve, I still haven't explored sni-qt , but you're right it solves a lot of other app-indicators.

Sebastien Bacher (seb128) wrote :

Rodrigo, could we make the status icon being hidden in the Unity session? It leads to a duplicate icon with the indicator for users who whitelist the systray use

Changed in gnome-settings-daemon (Ubuntu Oneiric):
assignee: Martin Pitt (pitti) → Rodrigo Moya (rodrigo-moya)

No news ???

Alex Cornejo (acornejoc) wrote :

Same problem here on released version of oneiric. Two indicators, one which reactos to clicks and the other one just displays battery life on tooltip.

just updated to 11.10. same problem here. 2 statuses, one active...

dneff87 (danielneff) wrote :

Yet another confirmation that it exists in update to 11.10. 2 statuses, one active

Edvinas (ikonitas) wrote :

I have got the same after updating to 11.10

I see that one icon is from gnome and the other from unity

affects me too, clean oneiric install, systray whitelist to all, never had the problem before whitelisting

EdSena (edsena) wrote :

Hi folks,

Instead of flooding with those "me too" comments, one can just click in the "Does this bug affect you? " link right bellow of the page title. Currently the status is "Confirmed"; Therefore, I guess those kind of comments are no longer necessary. Please don't get mad at me, I just want this issue to be solved as well as you guys, and I think having a lot of text to read may somehow hamper the developer's work.

Best Regards,
Ed.

thomas (thomas-heuer) wrote :

Additionally the battery indicators don't display anymore, if the plug is inserted or if the system is on battery. (Is there a separate bug for this?)

@thomas, do you have indicator-power installed?

Harald (haraldboehmecke) wrote :

Interestingly, when using two monitors as TwinView, the main monitor shows 2 battery indicators and the second shows only one.

palimmo (palimmo) wrote :

Mh...
in my Ubuntu 11.10 there are both Gnome-power-manager and indicator-power installed.
Should I remove one of them?
Which is the "wrong" one... without any pop-up menu?

thanks!

palimmo (palimmo) wrote :

but... with gnome-power-manager synaptic asks me to remove also ubuntu-desktop ... and that's i think it's not good...

Sebastien Bacher (seb128) wrote :

don't whitelist the systray icons if you don't want those!

tatsuno (carlos-troncoso) wrote :

The problem for me is that if I don't whitelist 'all', I don't know how to whitelist davmail, for instance. Anybody?

palimmo (palimmo) wrote :

I decide to whitelist the application I need... In this way I removed the second icon

Changed in unity-2d (Ubuntu Oneiric):
status: Invalid → Confirmed
status: Confirmed → Invalid
Tomas (sei-mai-neim-egen) wrote :

I have a suggestion for developers.

Why do you have implemented "whitelist" functionality in the first place?

It's not rational.

Having "Blacklist" funkcionality would be more convient and rational.

Why I am saying this. Think what is easier:

a) browse hours and hours about all posible useful indicators You could use and then - "Whitelist" them all. After some time repeat the cycle - browse again, because new useful applications with new indicators keep coming or the old ones begin using indicators...

or

b) automatically let all indicators to appear, so you automatically know, that You new application actually has a usefull indicator. If You dont't want that indicator - You disable it in the settings of application. If You meet an annoying indicator - You "Blacklist" it.

In my case, after Whitelisting "all", I discovered that "tasque" to do list application actually has an indicator and that makes my life easier (and 2 powr indicators that annoys me).

I'd rather blacklist only one indicator - one of the two power indicators, than whitelisting every single application with an indicator (and trying to discover what else could have an usefull indicator).

Ryan Sutton (oldmansutton) wrote :

I'm also having the problem where the far left battery indicator (which shouldn't be there IMO) overlaps the weather indicator from time to time.

Also Tomas makes a VERY good suggestion there, that would be the more logical approach.

Prabhjot (prabhjotsbhatia) wrote :

I second #64.
I tried searching hours and hours for a way to blacklist a particular application. But all in vain. Couldn't even find the syntax to be used for making an exception for a particular application. Even tried hit and trial. Something like:

gsettings set com.canonical.Unity.Panel systray-whitelist "['all', !'skype']"

or ~'skype'.

I'd call it mere shortsightedness.

Sebastien Bacher (seb128) wrote :

note that sni-qt should transform the skype icon in an indicator so no need to whitelist skype

Changed in gnome-settings-daemon (Ubuntu):
status: Confirmed → In Progress
Rodrigo Moya (rodrigo-moya) wrote :

I'm not able to replicate this problem at all, so could someone please test the patch I've added to the g-s-d package? To do so:

$ bzr clone lp:~ubuntu-desktop/gnome-settings-daemon/ubuntu g-s-d
$ cd g-s-d
$ bzr bd -- -b

when it finished successfully:

$ sudo dpkg -i ../build-area/*.deb

and then log out and see if my patch fixes it

Rodrigo, I tried to build it but it failed in the "bzr bd --b" step. I attach the error I got.

Ok, I installed all the dependencies that were unmet according to my previous message, but it aborted again:

gpg: skipped "Rodrigo Moya <email address hidden>": secret key not available
gpg: /tmp/debsign.wm2a2EfX/gnome-settings-daemon_3.2.2-0ubuntu2_amd64.changes: clearsign failed: secret key not available
debsign: gpg error occurred! Aborting....
debuild: fatal error at line 1269:
running debsign failed
bzr: ERROR: The build failed.

I've seen that despite the previous message the "deb" had been built, so I installed it, but the double battery is still here after logging out and logging in again.

Rodrigo Moya (rodrigo-moya) wrote :

Thanks for testing it Walter. So, to not have to worry you with any fix I get, could you please let me know what setup are you in so that I can try to replicate?

I'm on Unity, 11.10 fully updated. I attach the output of apport agains Unity just in case you get more information there.

On the other hand I'm willing to keep trying your patches if you want.

Rodrigo Moya (rodrigo-moya) wrote :

Ok, let's do another try then, so please just cd to the directory where you checked out the branch and:

$ bzr pull
$ bzr bd -- -b

when it finished successfully:

$ sudo dpkg -i ../build-area/*.deb

Bingo! Congrats Rodrigo, this last patch seems to work!

Rodrigo Moya (rodrigo-moya) wrote :

Cool! Anyway, just keep it running for a few hours, and if I don't get any message from you by the end of my day, I'll submit the fix to the archive. Thanks again for your help!

tatsuno (carlos-troncoso) wrote :

Walter, could you upload the .deb somewhere so that I can try if it works for me as well?

Thanks.

@tatsuno, you can download them from
http://puna.upf.edu/node/83

tatsuno (carlos-troncoso) wrote :

And sure enough, it works!

Thank you Rodrigo and Walter!

Bowmore (bowmore) wrote :

The patch works for Precise as well.

Rodrigo Moya (rodrigo-moya) wrote :

Ok, 2 of 2 makes 100%, so uploading now :-)

Saša Teković (hseagle2015) wrote :

Make that 3 out of 3 ;-)

Now I'm seeing bug 882160, can they be related?

I'm not sure, but I think I hadn't seen this bug for a while and now with the patched gnome-settings-daemon I started seeing it.

Thinking twice bug 882160 does not seem related to this one, that bug seems more related to the kernel, it happens in certain Dell laptop models as far as I can see of the Lattitude E..... when they wake up from resume.

Ryan Sutton (oldmansutton) wrote :

Rodrigo, I'm trying to follow your instructions here, as I'm running a 32bit version of Oneiric, and trying to build that. However, I must have a newer version of "bzr", as it tells me the clone command is now deprecated, (though it pulled it down anyways), but when I go to run the bzr bd -- -b, it tells me:

bzr: ERROR: unknown command "bd"

Do you happen to know what the "bd" is shorthand for, so I might find what the new command to make this work is?

Ryan Sutton (oldmansutton) wrote :

And to clarify, my bzr version is 2.4.1

Ryan Sutton (oldmansutton) wrote :

Ha, nevermind, figured out I need the bzr-builddeb plugin. New at this, so much of Linux is so power-user oriented, instead of end-user friendly.

Ryan Sutton (oldmansutton) wrote :

Rodrigo, verifying that your patch works for an i386 build. Thank you so very much!

Phillip Susi (psusi) wrote :

On 11/17/2011 10:51 PM, Ryan Sutton wrote:
> Ha, nevermind, figured out I need the bzr-builddeb plugin. New at this,
> so much of Linux is so power-user oriented, instead of end-user
> friendly.

bzr isn't even a power user tool; it is a developer tool. The patched
package should be uploaded to a PPA where it will be built and users can
just install the binary package.

Hello Jean-Baptiste, or anyone else affected,

Accepted gnome-settings-daemon into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in gnome-settings-daemon (Ubuntu Oneiric):
status: Confirmed → Fix Committed
tags: added: verification-needed
Changed in gnome-settings-daemon (Ubuntu):
status: In Progress → Fix Released
Omer Akram (om26er) wrote :

I verify that with the -proposed version of gnome-settings-daemon + the whitelist for systray set to "all" the issue does not happen anymore.

tags: added: verification-done
removed: verification-needed
no longer affects: ubuntu-meta (Ubuntu)
no longer affects: ubuntu-meta (Ubuntu Oneiric)
no longer affects: unity-2d (Ubuntu)
no longer affects: unity-2d (Ubuntu Oneiric)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-settings-daemon - 3.2.2-0ubuntu2

---------------
gnome-settings-daemon (3.2.2-0ubuntu2) oneiric-proposed; urgency=low

  * debian/patches/07_hide_status_icon_on_unity.patch:
    - Never show the power status icon when running Unity (LP: #833397)
 -- Rodrigo Moya <email address hidden> Tue, 15 Nov 2011 11:12:54 +0100

Changed in gnome-settings-daemon (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Brett Johnson (linuxturtle) wrote :

This bug seems to have regressed back into gnome-settings-daemon 3.3.5-0ubuntu3 in Precise. I now see a duplicate gnome battery applet icon in addition to the indicator one.

tags: added: precise
Bowmore (bowmore) wrote :

Confirmed, gnome battery applet back again!

Brett Johnson (linuxturtle) wrote :

I'm not sure what the appropriate way to report a regression is, but I created a new bug, and provided this bug number in it: https://bugs.launchpad.net/bugs/934582

Qaxi (qaxi) on 2012-03-01
description: updated
Matt Altieri (matthew-altieri) wrote :

I was having the opposite problem on 12.04 ... No power indicator applet (upon login -- saw one AT the login screen).

Running "gsettings list-recursively|grep settings-daemon" spat out that:

org.gnome.settings-daemon.plugins.power active false

...

In terminal, "gsettings set org.gnome.settings-daemon.plugins.power active true" ... logged out and back in and I was good.

This was a fresh install from ISO of 12.04, so for those of you seeing *two* icons, you might want to set "....plugins.power active false" and see if one goes away.

To post a comment you must log in.